/*
 * Copyright (c) 2024 LangChat. TyCoding All Rights Reserved.
 *
 * Licensed under the GNU Affero General Public License, Version 3 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     https://www.gnu.org/licenses/agpl-3.0.html
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package cn.iocoder.yudao.module.langchat;

import cn.iocoder.yudao.module.langchat.config.EnableFileStorage;
import cn.iocoder.yudao.module.langchat.config.SpringFileStorageProperties;
import cn.iocoder.yudao.module.langchat.properties.ChatProps;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;

/**
 * @author tycoding
 * @since 2024/2/4
 */
@EnableFileStorage
@SpringBootApplication
@EnableConfigurationProperties({
        SpringFileStorageProperties.class,
        ChatProps.class
})
public class LangChatApplication {

    public static void main(String[] args) {
        SpringApplication.run(LangChatApplication.class, args);
    }
}
